Test Cliff Sensors

10/06/2011 02:01 AM - Dan Shope

Status: Fixed Start date: 10/06/2011

Priority: Normal Due date: 10/14/2011

Assignee: Alexander Lam % Done: 100%

Category: Administrative Estimated time: 3.00 hours

Target version: Development   

Description

Option 1:

Wire cliff sensors directly to LEDs, move across different surfaces and record behavior (false positives, false negatives, etc)

Option 2:

Wire cliff sensors into a microcontroller, also wiring in IR reflectance sensors as a control, and log values while moving across

different surfaces

Option 3:

Scrap cliff sensors :)

For all tests there should be (3) cliff sensors assembled onto a fake Scout model that holds the sensors in the proper orientation

and relative positions, elevated above the ground like on a Scout.

A detailed log should be maintained to figure out activation patterns and potentially troublesome surfaces (high rate of false

positives).

Test on any reasonable floor surface - concrete, glossy tile, white tables, plywood, wood flooring in the TV lounge, etc.

History

#1 - 10/06/2011 02:04 AM - Dan Shope

- Assignee changed from Priyanka Deo to Alexander Lam

#2 - 10/07/2011 10:53 PM - Dan Shope

Test various speeds

Suggested

Slow - 5 in/sec

Medium - 15 in/sec

Fast - >25 in/sec

#3 - 10/08/2011 12:49 AM - Alexander Lam

Preliminary Test Results:

Test Rig:

Power: Colony 5xNi-MH battery pack (charged, or at least above 6v for entire testing run)

Regulation: 1702 5v 250mA voltage regulator  w/ 2x47uF electrolytic capacitors with reference circuit from (

http://ww1.microchip.com/downloads/en/DeviceDoc/22008E.pdf)

(Note: I tried to use 4.7uF electrolytic capacitors but I considered the noise on the line too high)

all tests with angled cliff sensor. Readings of sensor done by eye watching LED on sensor.

Results:

Dell optiplex SX280 gray: False positives, works straight on

Club White Table: OK

Club Gray Floor: Many false positives, works straight on

Club Gray Floor Tar: Many false positives, more so than just floor. Works straight on

Club Floor Joist: Many Many false positives. Works straight on

03/13/2024 1/3

http://ww1.microchip.com/downloads/en/DeviceDoc/22008E.pdf


Front Fake Wood Table: LOTS LOTS of false positives. Works straight on. NOTE: depending on if I bumped the rig or not, this test seemed to

demonstrate variable sensitivity of the sensors (i.e. the frequency of false positives changed between test runs but it was always very bad).

Hall White Tile: OK

Hall black Tile: Very Very many false positives, works straight on

TV lounge floor: OK

TV lounge chair (black): thinks the entire chair is a cliff, but works straight on.

#4 - 10/09/2011 04:51 AM - Dan Shope

Great work!

We should still look at the signal (scope or log via microcontroller) lines to see what the transient signal looks like when moving the sensor across

surfaces.

Sample Rate: 390Hz

http://www.pololu.com/catalog/product/1134

#5 - 10/09/2011 04:54 AM - Dan Shope

Also, it makes sense that it works poorly at the angled orientation - the surface roughness has to be > wavelength in order for good reflectance to

occur. Since these sensors use a triangulation method, light scattered by surface roughness probably does not correlate well with actual distance.

Let's try some shallower angles (<30deg).

#6 - 10/09/2011 03:09 PM - Dan Shope

- % Done changed from 0 to 30

#7 - 10/15/2011 12:40 PM - Dan Shope

Cliff sensors have been mounted in new chassis, facing down vertically. We will need to test on this chassis to see how well they work on the various

surfaces.

#8 - 10/15/2011 12:40 PM - Dan Shope

- Priority changed from Urgent to Normal

#9 - 10/15/2011 07:17 PM - Alexander Lam

Tested 3 cliff sensors mounted on chassis. Same power for test rig. Made sure batteries stayed above 6v for all of testing.

Same visual LED inspection, except since the sensor's onboard LED is obscured by  the chassis external LEDs are used.

Front sensor is 12mm higher than side sensors.

Club White Table: OK

Club Gray Floor: OK

Club Gray Floor Tar: OK

Club Floor Joist: OK

Front Fake Wood Table: OK

Hall White Tile: OK

Hall black Tile: Front Works, Sides have some false positives

TV lounge floor: OK

TV lounge chair (black): Depending on where on the chair, sensors work from not at all to somewhat to very good.

Black ECE rolly chair: False positives
#10 - 10/16/2011 09:43 PM - Dan Shope

- Status changed from Assigned to Fixed

- % Done changed from 30 to 100

Completed. (3) Cliff sensors will remain integrated into the mechanicals - sensor population is optional based on cost decisions during manufacturing.
